ERF(3)

NAME
erf, erfc - error function operators

SYNOPSIS
#include <math.h>
double
erf(double x);
long double
erfl(long double x);
float
erff(float x);
double
erfc(double x);
long double
erfcl(long double x);
float
erfcf(float x);

DESCRIPTION
These functions calculate the error function of x.

The erf() function calculates the error function of x; where

erf(x) = 2/sqrt(pi)*integral from 0 to x of exp(-t*t) dt.

The erfc() function calculates the complementary error function of x; that is erfc() computes the difference of the error function erf(x) from 1.0. This is useful, since for large x use of erfc() avoids loss of precision due to cancellation.

SPECIAL VALUES
erf(±0) returns ±0.

erf(±infinity) returns ±1.

erfc(-infinity) returns 2.

erfc(+infinity) returns +0.

SEE ALSO
math(3)

STANDARDS
The erf() and erfc() functions conform to ISO/IEC 9899:2011.